import { request } from '@/utils/http'
export default {
	apicustomerlist: (params) => { // 客户  列表
	  return request('api/customer/list', params)
	},
	apicustomeradd: (params) => { // 客户  添加
	  return request('api/customer/add', params, 'loading')
	},
	apicustomeredit: (params) => { // 客户  编辑
	  return request('api/customer/edit', params, 'loading')
	},
	apicustomerdel: (params) => { // 客户  删除
	  return request('api/customer/del', params, 'loading')
	},
	apicustomerdetail: (params) => { // 客户  详情
	  return request('api/customer/detail', params, 'loading')
	},
	apireportvisitchange: (params) => { // 到访材料添加
	  return request('api/report/visit/change', params, 'loading')
	},
	apireportvisitdetail: (params) => { // 到访材料详情
	  return request('api/report/visit/detail', params, 'loading')
	},
	apireportvisit: (params) => { // 报备到访
	  return request('api/report/visit', params, 'loading')
	},
	apireportverify: (params) => { // 报备审核
	  return request('api/report/verify', params, 'loading')
	},
	apideptuserlist: (params) => { // 我的门店下级人员
	  return request('api/dept/user/list', params, 'loading')
	},
	apiprivatecustomerlist: (params) => { // 内部客户  列表
	  return request('api/private/customer/list', params)
	},
	apiprivatecustomeradd: (params) => { // 内部客户  添加
	  return request('api/private/customer/add', params, 'loading')
	},
	apiprivatecustomeredit: (params) => { // 内部客户  编辑
	  return request('api/private/customer/edit', params, 'loading')
	},
	apiprivatecustomerdel: (params) => { // 内部客户  删除
	  return request('api/private/customer/del', params, 'loading')
	},
	apiprivatecustomerdetail: (params) => { // 内部客户  详情
	  return request('api/private/customer/detail', params, 'loading')
	},
	apiprivaterecordlist: (params) => { // 内部客户 - 跟进记录 -   列表
	  return request('api/private/record/list', params)
	},
	apiprivaterecordadd: (params) => { // 内部客户 - 跟进记录 -  添加
	  return request('api/private/record/add', params, 'loading')
	},
	apiprivaterecordedit: (params) => { // 内部客户 - 跟进记录 -  编辑
	  return request('api/private/record/edit', params, 'loading')
	},
	apiprivaterecorddel: (params) => { // 内部客户 - 跟进记录 -  删除
	  return request('api/private/record/del', params, 'loading')
	},
	apirecordremindcount: (params) => { // 内部客户 - 跟进记录 -  数量统计
	  return request('api/record/remind/count', params, 'loading')
	},
}